
#==========================================================#
#Load packages
#==========================================================#
# Set working direcotry where python code is located and results are to be stored
import os
os.chdir('C:/Users/z5025317/OneDrive - UNSW/Hunter_CC_Modeling/08_Results/RMA_result_explorer')
from py_rmatools_v02 import rma
#==========================================================#


#==========================================================#
#Input parameters
#==========================================================#
#print "Enter the RMA filename (without extension):"
#f=raw_input()



#set beginning and end years and corresponding scenario code
f='HCC011'
startyear=2025
endyear=2027
year=range(startyear, endyear+1)

#set model element nodes from chainage file
node=[837, 666, 981, 59,527, 34, 1, 391]


#set run directory where RMA results are located
run_directory = 'I:/ENG/WRL/WRL1/Project wrl2016032/Hunter_CC_Modeling/Completed_Simulations/' + f +'/'
#set directory path for output files
output_directory = 'C:/Users/z5025317/OneDrive - UNSW/Hunter_CC_Modeling/08_Results/Output/'+ f + '/'
#==========================================================#



#==========================================================#
#100% automated part of the code doing the data extraction
#==========================================================#
#output_directory = 'J:/Project wrl2016032/NARCLIM_Raw_Data/Extracted'
if not os.path.exists(output_directory):
    os.makedirs(output_directory)
    print('-------------------------------------------')
    print("output directory folder didn't exist and was generated")
    print('-------------------------------------------')

time=[]
xvel=[]
yvel=[]
totvel=[]
elevation=[]
depth=[]
#==========================================================#
#exctract depth
#==========================================================#
filename1= output_directory + f+'_depth.txt'
target = open(filename1, 'w')
target.write("Year Hour ")
for inode in node:
    target.write("%i " % inode)
target.write('\n')
print (filename1)
for jj in year:
    f1=run_directory +  f + '_%d' %jj
    R=rma()
    print(f1)
    R.open(f1)
    print (jj)

    while R.next():
        time.append(R.time)
        target.write("%.0f %r " %(jj,R.time))
        for inode in node:
            target.write("%f " % R.depth[inode])
        target.write('\n')

#print (" Press any ENTER to exit")
target.close()
#f=input()
#==========================================================#

#==========================================================#
#exctract xvel
#==========================================================#
filename1= output_directory + f+'_xvel.txt'
target = open(filename1, 'w')

target.write("Year Hour ")
for inode in node:
    target.write("%i " % inode)
target.write('\n')
print (filename1)
for jj in year:
    f1=run_directory +  f + '_%d' %jj
    R=rma()
    print(f1)
    R.open(f1)
    print (jj)

    while R.next():
        time.append(R.time)
        target.write("%.0f %r " %(jj,R.time))
        for inode in node:
            target.write("%f " % R.xvel[inode])
        target.write('\n')
#print (" Press any ENTER to exit")
target.close()
#f=input()
#==========================================================#

#==========================================================#
#xvel
#==========================================================#
filename1= output_directory + f+'_yvel.txt'
target = open(filename1, 'w')

target.write("Year Hour ")
for inode in node:
    target.write("%i " % inode)
target.write('\n')
print (filename1)
for jj in year:
    f1=run_directory +  f + '_%d' %jj
    R=rma()
    print(f1)
    R.open(f1)
    print (jj)

    while R.next():
        time.append(R.time)
        target.write("%.0f %r " %(jj,R.time))
        for inode in node:
            target.write("%f " % R.yvel[inode])
        target.write('\n')

#print (" Press any ENTER to exit")
target.close()
#f=input()
#==========================================================#